For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
BlogLog InRequest Demo
HomeProductDevelopersSelf-HostingChangelog
HomeProductDevelopersSelf-HostingChangelog
  • Getting Started
    • Overview
  • Workflows SDK
    • Introduction
    • Installation
    • Core Concepts
    • Defining Control Flow
    • Configuration
    • Custom Docker Images
  • Client SDK
    • Introduction
    • Authentication
    • API Versioning
      • POSTExecute Workflow
      • POSTExecute Workflow Async
      • STREAMExecute Workflow as Stream
      • GETCheck Workflow Execution Status
      • POSTSubmit Workflow Execution Actuals
        • STREAMExecute Workflow Deployment as Stream
        • GETList Workflow Deployments
        • GETList Workflow Deployment Releases
        • GETRetrieve Workflow Deployment
        • GETRetrieve Workflow Deployment Release
        • GETRetrieve Workflow Deployment Release Tag
        • GETList Workflow Deployment Release Tags
        • PATCHUpdate Workflow Deployment Release Tag
        • GETRetrieve Workflow Deployment History
        • GETList Workflow Deployment Executions
        • GETRetrieve Workflow Deployment Execution
LogoLogo
BlogLog InRequest Demo
Client SDKWorkflowsWorkflow Deployments

Retrieve Workflow Deployment Execution

Beta
GET
https://api.vellum.ai/v1/workflow-deployments/:id/execution-events/:execution_id
GET
/v1/workflow-deployments/:id/execution-events/:execution_id
1import requests
2
3url = "https://api.vellum.ai/v1/workflow-deployments/id/execution-events/execution_id"
4
5headers = {"X-API-KEY": "<apiKey>"}
6
7response = requests.get(url, headers=headers)
8
9print(response.json())
1{
2 "span_id": "string",
3 "start": "2024-01-15T09:30:00Z",
4 "end": "2024-01-15T09:30:00Z",
5 "inputs": [
6 {
7 "id": "string",
8 "name": "string",
9 "type": "STRING",
10 "value": "string"
11 }
12 ],
13 "outputs": [
14 {
15 "id": "string",
16 "name": "string",
17 "type": "STRING",
18 "value": "string"
19 }
20 ],
21 "error": {
22 "message": "string",
23 "raw_data": {},
24 "code": "WORKFLOW_INITIALIZATION",
25 "stacktrace": "string"
26 },
27 "usage_results": [
28 {
29 "usage": [
30 {
31 "ml_model_name": "string",
32 "ml_model_usage": {
33 "output_token_count": 1,
34 "input_token_count": 1,
35 "input_char_count": 1,
36 "output_char_count": 1,
37 "compute_nanos": 1,
38 "cache_creation_input_tokens": 1,
39 "cache_read_input_tokens": 1
40 }
41 }
42 ],
43 "cost": [
44 {
45 "value": 1.1,
46 "unit": "USD"
47 }
48 ],
49 "error": {
50 "code": "UNKNOWN",
51 "message": "string"
52 }
53 }
54 ],
55 "parent_context": {
56 "type": "WORKFLOW_RELEASE_TAG",
57 "span_id": "string",
58 "deployment_id": "string",
59 "deployment_name": "string",
60 "deployment_history_item_id": "string",
61 "release_tag_id": "string",
62 "release_tag_name": "string",
63 "workflow_version_id": "string",
64 "parent": {},
65 "links": [
66 {
67 "trace_id": "string",
68 "type": "TRIGGERED_BY"
69 }
70 ],
71 "external_id": "string",
72 "metadata": {}
73 },
74 "latest_actual": {
75 "output": {
76 "id": "string",
77 "name": "string",
78 "type": "STRING",
79 "value": "string"
80 },
81 "timestamp": "2024-01-15T09:30:00Z",
82 "metadata": {},
83 "quality": 1.1
84 },
85 "metric_results": [
86 {
87 "outputs": [
88 {
89 "id": "string",
90 "name": "string",
91 "type": "STRING",
92 "value": "string"
93 }
94 ],
95 "label": "string",
96 "metric_id": "string"
97 }
98 ],
99 "spans": [
100 {
101 "name": "workflow.execution",
102 "events": [
103 {
104 "parent": {
105 "parent": {},
106 "links": [
107 {
108 "trace_id": "string",
109 "type": "TRIGGERED_BY"
110 }
111 ],
112 "workflow_definition": {
113 "name": "string",
114 "module": [
115 "string"
116 ],
117 "exclude_from_monitoring": true,
118 "id": "string"
119 },
120 "type": "WORKFLOW",
121 "span_id": "string"
122 },
123 "links": [
124 {
125 "trace_id": "string",
126 "type": "TRIGGERED_BY",
127 "span_context": {
128 "parent": {},
129 "links": [
130 null
131 ],
132 "workflow_definition": {
133 "name": "string",
134 "module": [
135 "string"
136 ],
137 "exclude_from_monitoring": true,
138 "id": "string"
139 },
140 "type": "WORKFLOW",
141 "span_id": "string"
142 }
143 }
144 ],
145 "name": "workflow.execution.initiated",
146 "body": {
147 "workflow_definition": {
148 "name": "string",
149 "module": [
150 "string"
151 ],
152 "exclude_from_monitoring": true,
153 "id": "string"
154 },
155 "inputs": {},
156 "trigger": {
157 "name": "string",
158 "module": [
159 "string"
160 ],
161 "exclude_from_monitoring": true,
162 "id": "string"
163 }
164 },
165 "id": "string",
166 "timestamp": "2024-01-15T09:30:00Z",
167 "api_version": "2024-10-25",
168 "trace_id": "string",
169 "span_id": "string"
170 }
171 ],
172 "attributes": {
173 "label": "string",
174 "workflow_id": "string"
175 },
176 "usage_result": {
177 "usage": [
178 {
179 "ml_model_name": "string",
180 "ml_model_usage": {
181 "output_token_count": 1,
182 "input_token_count": 1,
183 "input_char_count": 1,
184 "output_char_count": 1,
185 "compute_nanos": 1,
186 "cache_creation_input_tokens": 1,
187 "cache_read_input_tokens": 1
188 }
189 }
190 ],
191 "cost": [
192 {
193 "value": 1.1,
194 "unit": "USD"
195 }
196 ]
197 },
198 "span_id": "string",
199 "start_ts": "2024-01-15T09:30:00Z",
200 "end_ts": "2024-01-15T09:30:00Z",
201 "parent_span_id": "string"
202 }
203 ],
204 "state": {}
205}
Was this page helpful?
Previous

Retrieve Workflow Execution Detail

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

execution_idstringRequiredformat: "uuid"
idstringRequired

Headers

X-API-VersionstringOptional

Response

span_idstringformat: "uuid"
startstringformat: "date-time"
endstring or nullformat: "date-time"
inputslist of objects
outputslist of objects
errorobject or null
usage_resultslist of objects or null
parent_contextobject or null
latest_actualobject or null
metric_resultslist of objects
spanslist of objects
statemap from strings to any or null

Errors

400
Bad Request Error
404
Not Found Error
421
Misdirected Request Error